//Farbtafeln mit 8192 Farben
//Mit den Tasten '0' und '1' werden die Farbtafeln erzeugt
FarbTafel8192 farben;
color[]  zufallsAnkerFarben128 ;

void setup(){
  size(2048,800);
  farben= new FarbTafel8192();
  farben.farbTafelErzeugen8192();   
  zufallsAnkerFarben128 = new color[129];
  setFarbVerlauf(farben.farben8192);
}
///////////////////////////////////////////////////////////////
void draw() {

}
//////////////////////////////////////////////////////////////////
void setFarbVerlauf(color[] farbTafel){
  for (int i = 0; i < 2048; i++) {     
      if(i % 64 !=0) stroke(farbTafel[i]);
      else stroke(255);//weiße Striche zu Kontrolle      
      line(i, 0, i, height/4);  
  }
   for (int i = 0; i < 2048; i++) {     
      if(i % 64 !=0) stroke(farbTafel[2048+i]);
      else stroke(255);
      line(i, height/4, i, height/2);  
  }
  for (int i = 0; i < 2048; i++) {     
      if(i % 64 !=0) stroke(farbTafel[4096+i]);
      else stroke(255);    
      line(i,  height/2, i, 3*height/4);  
  }
   for (int i = 0; i < 2048; i++) {     
      if(i % 64 !=0) stroke(farbTafel[6144+i]);
      else stroke(255);  
      line(i, 3*height/4, i, height);  
  }   
}
////////////////////////////////////////////////////////////////////
void mousePressed() { 
  if (mouseButton == LEFT){    
   
  }
}
////////////////////////////////////////////////////////////////////////
void keyPressed() {
  
  if (key == '0'){ //129 Zufalls-Ankerfarben, die einen Farbverlauf von 8192 Farben erzeugen
    farben.farbTafelErzeugen8192();   
    setFarbVerlauf(farben.farben8192);
  }
  if (key == '1'){ //129 Zufalls-Ankerfarben mit geringen Änderungen - erzeugen Farbverlauf mit 8192 Farben
    farben.farbTafelErzeugen8192();   
    setFarbVerlauf(farben.farbenSoft8192);
  }
  if (key == '3'){ 
    //für weitere Ideen
  }
  if (key == '4'){ 
   //für weitere Ideen
  }
  if (key == '5'){ 
   //für weitere Ideen
  }
  if (key == '6'){ 
   //für weitere Ideen
  }  
}
